---
title: "Get deployment by ID"
url: https://hexelstudio.com/docs/api/compute/deployments/get
---

# Get deployment by ID

**GET** `/compute/v1/deployments/{deployment_id}`

## Path parameters

- `deployment_id: string`

  Deployment ID

## Headers

- `Authorization: string`

  `Bearer <token>`. STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

## Returns

`200` OK (`Agent`)

- `config_hash: optional string`

- `created_at: optional string`

- `endpoint: optional string`

- `endpoint_name: optional string`

- `id: optional string`

- `image: optional string`

- `manifest: optional map[any]`

- `metadata: optional map[string]`

- `name: optional string`

- `registry_id: optional string`

- `skills: optional array of string`

- `state: optional string`

- `tier: optional string`

- `token: optional string`

- `updated_at: optional string`

## Example

```bash
curl --request GET \
  --url 'https://compute.hexelstudio.com/compute/v1/deployments/{deployment_id}' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "config_hash": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "endpoint": "string",
  "endpoint_name": "string",
  "id": "string",
  "image": "string",
  "manifest": {
    "key": "string"
  },
  "metadata": {
    "key": "string"
  },
  "name": "string",
  "registry_id": "string",
  "skills": [
    "string"
  ],
  "state": "string",
  "tier": "string",
  "token": "string",
  "updated_at": "2026-01-01T00:00:00Z"
}
```
